var request = require('request');
var rp = require('request-promise-native');

module.exports = function (configUrl) {

    let objrequest = {};

    let entitiesCache = null;

    objrequest.getEntities = function () {
        //control chamar
        let obj = Object.assign({url: configUrl + "dialogflow/entities/"+id});
        return rp(obj)
    };


    objrequest.getEntity = function (id) {
        //control chamar
        let obj = Object.assign({url: configUrl + "entities/"+id});
        return rp(obj)
    };

   objrequest.getKeywordsFromEntity =  function(entityModel){

       return new Promise(async (resolve, reject) => {

           let entity = await objrequest.getEntity(entityModel.id);

           let data = [];

           let map = entity.entries.forEach(item => {
               data = data.concat(item.synonyms);
           });

           resolve({key: entity, data: data});
       })

   };
    return objrequest;
};
