class DialogFlowAccessor {
    constructor(awsLambdaCaller) {
        this.awsLambdaCaller = awsLambdaCaller;
    };

    resolveText(request) {

        return new Promise(async resolve => {
            let intent = null;
            try { // Dialogflow
                intent = await this.awsLambdaCaller.call(request, 'asksuite-NLP-dev-dialogFlowNLP');
            } catch (e) {
                intent = e;
                console.log('Erro no dialogflow ', e);
            }
            resolve(intent);
        })

    }
}

module.exports = DialogFlowAccessor;
