


module.exports = function(config){

    let obj = {};

    obj.sendEmail = function (subject, content, to, replyTo) {
        const mailgun = require('mailgun-js')({apiKey: config.MAILGUN_API_KEY, domain: config.MAILGUN_LOGIN});

        const msg = {
            to: to.replace(/\s/g, "").split(","),
            from: replyTo ? replyTo : config.EMAIL_FROM,
            subject: subject,
            html: content
        };

        mailgun.messages().send(msg, function (error, body) {
            if(error) {
                console.error(error.toString());
            } else {
                console.log("enviou o email com sucesso");
            }
        });

    };

    return obj;

};
